<?php

namespace FernleafSystems\Wordpress\Services\Utilities\Integrations\WpHashes\Malware\Whitelist;

use FernleafSystems\Wordpress\Services\Services;

/**
 * Class SubmitFalsePositive
 * @package FernleafSystems\Wordpress\Services\Utilities\Integrations\WpHashes\Malware\Whitelist
 */
class ReportFalsePositive extends Base {

	const REQUEST_TYPE = 'POST';

	/**
	 * @param string $sFile
	 * @param string $aAlgo
	 * @param bool   $bIsFalsePositive
	 * @return bool
	 */
	public function report( $sFile, $aAlgo = 'sha1', $bIsFalsePositive = true ) {
		/** @var RequestVO $oReq */
		$oReq = $this->getRequestVO();
		$oReq->file = basename( $sFile );
		$oReq->hashes = [
			sha1( Services::DataManipulation()->convertLineEndingsDosToLinux( $sFile ) )
		];
		$oReq->algo = 'sha1';
		$oReq->is_fp = $bIsFalsePositive;

		$aResult = $this->query();
		return !empty( $aResult ) && $aResult[ 'error' ] !== false;
	}
}